program do
use sep
use sep3d_struct_mod
real, allocatable :: in(:),good(:)
integer :: i,ic
type(sep3d) :: struct
real :: mymin,mymax

call sep_init(SOURCE)
call init_sep3d("in",struct,"INPUT")
allocate(in(struct%n(1)*struct%n(2)))
allocate(good(struct%n(1)*struct%n(2)))
call from_param("min",mymin,100.)
call from_param("max",mymax,400.)
call sreed("in",in,size(in)*4)
good=0.
ic=0
do i =1,size(iN)
  if(in(i) >=mymin .and. in(i) <=mymax) then
     good(i)=1.
     ic=ic+1
  end if
end do
  

call srite('out',good,size(good)*4)





end program
